/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2021/12/21
 */
package org.ts.ddcs.controller.simulator;

import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.ts.ddcs.controller.simulator.entity.SimulatorInfo;
import org.ts.ddcs.controller.simulator.service.RtuSimulatorService;
import org.ts.ddcs.log.LogHelper;


import java.util.List;

/***
 * Date:2021/12/21
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @mender：（文件的修改者，文件创建者之外的人）
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@RestController
@RequestMapping("/simulator")
public class RtuSimulatorController {

    @Autowired
    private RtuSimulatorService simulatorService;

    @PostMapping(value = "list")
    public JSONObject list() {
        JSONObject result = new JSONObject();
        try {
            List<SimulatorInfo> list = this.simulatorService.simulatorList();
            result.put("data", list);
            result.put("code", "0");
        } catch (Exception e) {
            LogHelper.error(e);
            result.put("code", "1");
        }
        return result;
    }
}
